Subject: [multipathtcp] Multipath TCP with NAT64 Networks

From: <[email-masked]>
Date: Mon, 24 Jul 2017 08:40:07 +0000

Hi Quentin,

As mentioned in the mic during the MPTCP session, the problem you described is a real one, but applies to all applications making use of referrals. Below a list of specifications that address the generic problem together with the solutions in that space:

*         RFC7050 : Discovery of the IPv6 Prefix Used for IPv6 Address Synthesis

*         RFC7051 : Analysis of Solution Proposals for Hosts to Learn NAT64 Prefix

*         RFC7225 : Discovering NAT64 IPv6 Prefixes Using the Port Control Protocol

*         RFC6877 : 464XLAT

*         RFC 6535 : BIH

*         draft-boucadair-pcp-nat64-experiments: To illustrate how local address synthesis can be implemented in the host for the particular case of SIP/SDP.

Some of these features are part the IPv6 mobile device profile requested by many operators:

*         RFC7849 : An IPv6 Profile for 3GPP Mobile Devices

See in particular, this recommendation:

   C_REC#7:  In order to ensure IPv4 service continuity in an IPv6-only

             deployment context, the cellular host should support a

             method to learn PREFIX64(s).

                In the context of NAT64, IPv6-enabled applications

                relying on address referrals will fail because an

                IPv6-only client will not be able to make use of an IPv4

                address received in a referral.  This feature allows for

                solving the referral problem (because an IPv6-enabled

                application can construct IPv4-embedded IPv6 addresses

                [RFC6052<https://tools.ietf.org/html/rfc6052>]) and, also, for distinguishing between

                IPv4-converted IPv6 addresses and native IPv6 addresses.

                In other words, this feature contributes to offload both

                the CLAT module and NAT64 devices.  Refer to Section 3<https://tools.ietf.org/html/rfc7051#section-3>

                of [RFC7051]<https://tools.ietf.org/html/rfc7051#section-3> for an inventory of the issues related to

                the discovery of PREFIX64(s).

Cheers,
Med